@use './variables' as *;

@mixin mobile {
    @media only screen and (max-width: $mobile-max-width) {
        @content;
    }
}

@mixin tablet {
    @media only screen and (min-width: $mobile-max-width) and (max-width: $tablet-max-width) {
        @content;
    }
}

@mixin desktop {
    @media only screen and (min-width: $tablet-max-width) {
        @content;
    }
}

@mixin mobile-tablet {
    @media only screen and (max-width: $tablet-max-width) {
        @content;
    }
}

@mixin tablet-desktop {
    @media only screen and (min-width: $mobile-max-width) {
        @content;
    }
}
